%define oname language_tags

Name: python3-module-language-tags
Version: 1.0.0
Release: alt1

Summary: This project is a Python version of the language-tags Javascript project

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/language-tags/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3 rpm-macros-sphinx3

# generated by epm --restore --dry-run from language-tags/requirements-dev.txt
%py3_buildrequires pytest >= 5.2.1
%py3_buildrequires pytest-cov >= 2.8.1
%py3_buildrequires nose

%description
This Python API offers a way to validate and lookup languages tags.

It is based on BCP 47 (RFC 5646) and the latest IANA language subtag
registry.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
This Python API offers a way to validate and lookup languages tags.

It is based on BCP 47 (RFC 5646) and the latest IANA language subtag
registry.

This package contains documentation for %oname.


%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%check
export LC_ALL=en_US.UTF-8
%python3_test

%files
%doc README.md
%python3_sitelibdir/*

%changelog
* Mon Nov 02 2020 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt1
- new version 1.0.0 (with rpmrb script)

* Mon Nov 02 2020 Vitaly Lipatov <lav@altlinux.ru> 0.2.0-alt1.git20141218.2
- build python3 module separately
- cleanup spec, build from tarball, update buildreqs

* Fri Feb 02 2018 Stanislav Levin <slev@altlinux.org> 0.2.0-alt1.git20141218.1.1.1.1
- (NMU) Fix Requires and BuildRequires to python-setuptools

* Mon May 23 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.2.0-alt1.git20141218.1.1.1
- BR: sphinx_rtd_theme (the theme is optional since sphinx-1.4.1).

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.2.0-alt1.git20141218.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 0.2.0-alt1.git20141218.1
- NMU: Use buildreq for BR.

* Sat Jan 17 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.0-alt1.git20141218
- Initial build for Sisyphus

